Bug 1336775 (CVE-2015-8873) - CVE-2015-8873 php: Stack consumption vulnerability in Zend/zend_exceptions.c
Summary: CVE-2015-8873 php: Stack consumption vulnerability in Zend/zend_exceptions.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8873
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1336786
TreeView+ depends on / blocked
 
Reported: 2016-05-17 12:34 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
13 users (show)

Fixed In Version: php 5.4.44, php 5.5.28, php 5.6.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-19 19:58:44 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2750 0 normal SHIPPED_LIVE Moderate: rh-php56 security, bug fix, and enhancement update 2016-11-15 16:40:02 UTC

Description Andrej Nemec 2016-05-17 12:34:49 UTC
A vulnerability related to recursive method calls handling was found in php. the Tnumber of nested calls a method could perform to itself doesn't seem to be limited, causing an infinite recursion that would result in invalid memory read access due to stack exhaustion.

Upstream bug:

https://bugs.php.net/bug.php?id=69793

Upstream fix:

http://git.php.net/?p=php-src.git;a=commit;h=4d2278143a08b7522de9471d0f014d7357c28fea

Comment 1 Tomas Hoger 2016-05-19 19:58:44 UTC
This bug is triggered by a specially crafted code, or by deserialization of untrusted input.  Both of these are insecure, with worse impact that just crash this bug causes.  There is no plan to backport this fix to PHP packages in Red Hat products.

Comment 2 errata-xmlrpc 2016-11-15 11:52:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html


Note You need to log in before you can comment on or make changes to this bug.